/*******************************************************************************
 * Copyright (c) 2000, 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package java.util;

public interface Collection {
	
public boolean add(Object o);

public boolean addAll(Collection c);

public void clear();

public boolean contains(Object o);

public boolean containsAll(Collection c);

//public boolean equals(Object other);

//public int hashCode();

public boolean isEmpty();

public Iterator iterator();

public boolean remove(Object o);

public boolean removeAll(Collection c);

public boolean retainAll(Collection c);

public int size();

public Object[] toArray();

public Object[] toArray(Object[] a);

}
